package com.game.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.game.business.domain.AppUsersCharge;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Service;

/**
 * 充值记录Mapper接口
 *
 * @author game
 * @date 2024-06-18
 */
public interface AppUsersChargeMapper extends BaseMapper<AppUsersCharge> {
    /**
     * 查询充值记录
     *
     * @param id 充值记录主键
     * @return 充值记录
     */
    public AppUsersCharge selectAppUsersChargeById(Long id);

    /**
     * 查询充值记录列表
     *
     * @param appUsersCharge 充值记录
     * @return 充值记录集合
     */
    public List<AppUsersCharge> selectAppUsersChargeList(AppUsersCharge appUsersCharge);

    /**
     * 新增充值记录
     *
     * @param appUsersCharge 充值记录
     * @return 结果
     */
    public int insertAppUsersCharge(AppUsersCharge appUsersCharge);

    /**
     * 修改充值记录
     *
     * @param appUsersCharge 充值记录
     * @return 结果
     */
    public int updateAppUsersCharge(AppUsersCharge appUsersCharge);

    /**
     * 删除充值记录
     *
     * @param id 充值记录主键
     * @return 结果
     */
    public int deleteAppUsersChargeById(Long id);

    /**
     * 批量删除充值记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppUsersChargeByIds(Long[] ids);

    public Long getNewId();

    @Select("select next_val from sys_sequence where sequence_name = 'app_users_charge'")
    public Long getMaxId();
}